This repository has been archived on 2023-11-20. You can view files and clone it, but cannot push or open issues or pull requests.
foam-extend4.1-coherent-io/wmake/wmakeCheckPwd

103 lines
2.7 KiB
Text
Raw Normal View History

2010-08-24 15:19:39 +00:00
#!/bin/sh
#------------------------------------------------------------------------------
# ========= |
2013-12-11 16:09:41 +00:00
# \\ / F ield | foam-extend: Open Source CFD
# \\ / O peration | Version: 4.1
# \\ / A nd | Web: http://www.foam-extend.org
# \\/ M anipulation | For copyright notice see file Copyright
2011-01-13 17:22:00 +00:00
#------------------------------------------------------------------------------
2010-08-24 15:19:39 +00:00
# License
2013-12-11 16:09:41 +00:00
# This file is part of foam-extend.
2010-08-24 15:19:39 +00:00
#
2013-12-11 16:09:41 +00:00
# foam-extend is free software: you can redistribute it and/or modify it
2010-08-24 15:19:39 +00:00
# under the terms of the GNU General Public License as published by the
2013-12-11 16:09:41 +00:00
# Free Software Foundation, either version 3 of the License, or (at your
2010-08-24 15:19:39 +00:00
# option) any later version.
#
2013-12-11 16:09:41 +00:00
# foam-extend is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
2010-08-24 15:19:39 +00:00
#
# You should have received a copy of the GNU General Public License
2013-12-11 16:09:41 +00:00
# along with foam-extend. If not, see <http://www.gnu.org/licenses/>.
2010-08-24 15:19:39 +00:00
#
# Script
# wmakeCheckPwd
#
# Description
# Check that the current working directory is equal to a particular
# target directory, resolving the absolute path as required
#
2011-01-13 17:22:00 +00:00
#------------------------------------------------------------------------------
2010-08-24 15:19:39 +00:00
unset quietOpt
usage() {
[ "$quietOpt" = true ] && exit 1
exec 1>&2
while [ "$#" -ge 1 ]; do echo "$1"; shift; done
cat<<USAGE
usage: ${0##*/} [OPTION] dirName
options:
-q | -quiet suppress all normal output
Check that the current working directory is equal to a particular
target directory, resolving the absolute path as required
Exit status 0 when the directories are identical
Exit status 1 on error
USAGE
exit 1
}
# parse options
while [ "$#" -gt 0 ]
do
case "$1" in
-h | -help)
usage
;;
-q | -quiet)
quietOpt=true
shift
;;
-*)
usage "unknown option: '$*'"
;;
*)
break
;;
esac
done
[ "$#" -eq 1 ] || usage
dirName="$1"
# trivial checks first
[ "$PWD" = "$dirName" ] && exit 0
[ -d "$dirName" ] || {
[ "$quietOpt" = true ] || echo "Error: Directory does not exist $dirName"
exit 1
}
# use /bin/pwd to get the absolute path (could be linked)
thisDir=$(/bin/pwd)
target=$(cd $dirName 2>/dev/null && /bin/pwd)
# okay
[ "$thisDir" = "$target" ] && exit 0
# some other error
[ "$quietOpt" = true ] || echo "Error: Current directory is not $dirName"
exit 1
#------------------------------------------------------------------------------